#!/usr/bin/env python

'Recipe (as in food) managing application for Django'

from distutils.core import setup
import os.path

from cookbook import __version__


_this_dir = os.path.dirname(__file__)

setup(
    name='cookbook',
    version=__version__,
    description=__doc__,
    long_description=open(os.path.join(_this_dir, 'README'), 'r').read(),
    author='W. Trevor King',
    author_email='wking@drexel.edu',
    license='GPL',
    url='http://physics.drexel.edu/~wking/unfolding-disasters/posts/cookbook/',
    packages=['cookbook'],
    classifiers=[
        'Environment :: Web Environment',
        'Framework :: Django',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: GNU General Public License (GPL)',
        'Operating System :: OS Independent',
        'Programming Language :: Python',
        'Topic :: Internet :: WWW/HTTP',
        'Topic :: Software Development :: Libraries',
    ],
)
